CrossStreet PayPalHere Link
ElectApps
1.3 Varies with device
Plugin for CrossStreet credit card processing with PayPal Here. NOT A STANDALONE APPLICATION. Please visit PayPal to create an account. http://www.paypal.com

Content rating: Everyone

Requires OS: 2.2 and up

...more ...less